local PushExchangeInfoMessage = BaseClass("PushExchangeInfoMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  GiftPackageData.InitPackage(t)
end
PushExchangeInfoMessage.OnCreate = OnCreate
PushExchangeInfoMessage.HandleMessage = HandleMessage
return PushExchangeInfoMessage
